# LidoWrap

### Description

Wraps either WETH or StEth into WrappedStakedEther (WStEth)

### Action ID

`0x43142355`

### SDK Action

```ts
const lidoWrapAction = new dfs.actions.lido.LidoWrapAction(
    amount,
    from,
    to,
    useEth
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param amount - amount to pull
    /// @param from - address from which to pull token from
    /// @param to - address where received WStEth will be sent to
    /// @param useWeth - true for using WETH, false for using stEth
    struct Params {
        uint256 amount;
        address from;
        address to;
        bool useWeth;
    }
```

### Return Value

```solidity
return bytes32(wStEthReceivedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LidoWrap", logData);
logger.logActionDirectEvent("LidoWrap", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/lido/lidowrap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
